require "jsontest/matchers/be_json_eql"
require "jsontest/matchers/include_json"
require "jsontest/matchers/have_json_path"
require "jsontest/matchers/have_json_type"
require "jsontest/matchers/have_json_size"

module JsonTest
  module Matchers
    def be_json_eql(json = nil)
      JsonTest::Matchers::BeJsonEql.new(json)
    end

    def include_json(json = nil)
      JsonTest::Matchers::IncludeJson.new(json)
    end

    def have_json_path(path)
      JsonTest::Matchers::HaveJsonPath.new(path)
    end

    def have_json_type(type)
      JsonTest::Matchers::HaveJsonType.new(type)
    end

    def have_json_size(size)
      JsonTest::Matchers::HaveJsonSize.new(size)
    end
  end
end

RSpec.configure do |config|
  config.include JsonTest::Matchers
end
